/*** compilation time configuration of AVInfo ***/
/*** include this file before any system header***/
#ifndef _H_CONFIG_H
#define _H_CONFIG_H

/*** # Global compilation options # ***/

#define _POSIX_C_SOURCE 200112L
#define _XOPEN_SOURCE 600

/*** include autogenerated config.h when needed ***/
#ifdef MAKEFILE_WIN
#  define CFG_PATH_STYLE_WINDOWS 1
#  define WINDOWS
#  include <windows.h>
#else
#  include "../config.h"
#endif

/*** # Path section # ***/

/**	WINDOWS VARIANT (os/2) **/
#ifdef CFG_PATH_STYLE_WINDOWS
#  define CFG_SYSTEM_MANDATORY_CONFIG ""
#  define CFG_SYSTEM_DEFAULT_CONFIG "avinfo.cfg"
#  define CFG_USER_DEFAULT_CONFIG ""
#  define CFG_SYSTEM_DEFAULT_TEMPLATE "avinfo.tpl"
#  define CFG_DEFAULT_TEMPLATE_NAME "default"
#endif

/** UNIX VARIANT (linux, freeBSD, etc) **/
#ifdef CFG_PATH_STYLE_UNIX
#  define CFG_SYSTEM_MANDATORY_CONFIG "/etc/avinfo/mandatory.conf"
#  define CFG_SYSTEM_DEFAULT_CONFIG "/etc/avinfo/default.conf"
#  define CFG_USER_DEFAULT_CONFIG "~/.avinfo/config"
#  define CFG_SYSTEM_DEFAULT_TEMPLATE "/etc/avinfo/templates"
#  define CFG_DEFAULT_TEMPLATE_NAME "default"
#endif

#endif
